Back to Top
Oracle Linux
Minimum Operating System Requirements
Welcome to HPE's interactive Oracle minimum operating system requirements webpage for ProLiant Servers.

HPE recommends that our customers update to the latest service packs and security releases from Oracle.

Related Resources
All HPE drivers for Oracle Linux are Open Source and put into the upstream kernel. Drivers that are not Open Source are not included in Oracle Linux or supported by HPE or Oracle.
NOTE: Oracle includes the KVM environment in UEK5 and later. KVM is certified as part of UEK certifications. See https://blogs.oracle.com/virtualization/announcing-oracle-linux-virtualization-manager for more information.
No results found for the current selections
Mission Critical Solutions
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
MC990 X Oracle Linux 7.3 (UEK4 U2)
Oracle Linux 7.2 (UEK4 U2)
Oracle Linux 7.1 (UEK3 U4)
Oracle VM 3.4.1 (UEK4)
Scale-up Server 3200

NOTE: Hewlett Packard Enterprise recommends updating systems to use the latest versions of OS kernels and fixes. For more information, see HPE Compute Scale-up Server 3200 documents and Vanity URLs.
Oracle Linux 8.8 (UEK7) 5.15.0-103.114.4
Oracle Linux 9.2 (UEK7) 5.15.0-103.114.4
Oracle Linux KVM is supported for virtual workloads.
Superdome Flex

NOTE: Hewlett Packard Enterprise recommends updating systems to use the latest versions of OS kernels and fixes. For more information, see HPE Superdome Flex Servers - Release Sets.
Oracle Linux 9.0(UEK7)
Certified Configurations:
• 28-socket 24TB memory
• 1st and 2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 8.6(UEK7)
Certified Configurations:
• 28-socket 24TB memory
• 1st and 2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 8.1 (UEK6)
Certified configurations:
• 4-socket 3TB memory
• 32-socket 24TB memory
• 32-socket 48TB memory
• 1st an 2nd Generation Intel® Xeon® Scalable Processors.

Oracle Linux 7.8 (UEK6)
Certified configurations:
• 4-socket 3TB memory
• 32-socket 24TB memory
• 32-socket 48TB memory
• 1st Generation Intel® Xeon® Scalable Processors

Oracle Linux 7.6 (UEK5 U2)
Certified configurations:
• 2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 7.4 (UEK4 U6)
• 1st and 2nd Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.6(UEK4 U7)
Certified configuration:
• 2nd Generation Intel® Xeon® Scalable Processors.

Oracle VM 3.4.4 (UEK4 U6)
Certified configuration:
• 1st Generation Intel® Xeon® Scalable Processors.

Oracle Linux KVM is supported for virtual workloads.
Superdome Flex 280

NOTE: Hewlett Packard Enterprise recommends updating systems to use the latest versions of OS kernels and fixes. For more information, see HPE Superdome Flex 280 Servers - Release Sets.
Oracle Linux 9.0 (UEK7)
Certified configurations:
• 8-socket, 24TB memory

Oracle Linux 8.6 (UEK7)
Certified configurations:
• 8-socket, 24TB memory

Oracle Linux 8.2 (UEK6)
Certified configurations:
• 8-socket, 24TB memory
• 4-socket 3TB memory with Intel Optane persistent memory 200 Series

Oracle Linux 7.9 (UEK6)
Certified configurations:
• 8-socket 24TB memory
• 4-socket 3TB memory configuration with Intel Optane persistent memory 200 Series

Oracle Linux 7.9 (UEK5 U5)
Certified configurations:
• 4-socket 3TB memory configuration with Intel Optane persistent memory 200 Series

Oracle Linux KVM is supported for virtual workloads.
Alletra
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
Alletra 4110 Oracle Linux 9.0 (UEK7 U1) Not Supported
Alletra 4120 Oracle Linux 9.0 (UEK7 U1) Not Supported
BL Series
Product Technical Exceptions
Note: No CNA adapter support for iSCSI or FCOE, Ethernet only
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
BL460c Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.8
Oracle VM 3.4.1
Oracle VM 3.3.1
Oracle VM 3.2
Oracle VM 3.1
BL460c Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
BL460c Gen10 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux UEK 7.4 - UEK Release 4 Update 4 (4.1.12)
Oracle Linux UEK 7.5 - UEK Release 5 (4.14.35)
Oracle Linux 6.9 - UEK Release 4 Update 4 (4.1.12) 3

2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 6.10 - UEK Release 4 Update 7 (4.1.12-124.26.12)
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.4

2nd Generation Intel® Xeon® Scalable Processors

Oracle VM 3.4.6 (UEK Release 4 Update 7 (4.1.12-124.26.12) )
BL465c Gen8 Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.8
Oracle VM 3.2
Oracle VM 3.1
BL660c Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.3
Oracle Linux/UEK 5.8
Oracle VM 3.4.1
Oracle VM 3.3.1
Oracle VM 3.2
Oracle VM 3.1
BL660c Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-4600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.3
DL Series
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
DL320 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL120 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
DL160 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
DL180 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
DL320e Gen8 2 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.3
Oracle Linux/UEK 5.9
Oracle VM 3.4.1
Oracle VM 3.3.1
Oracle VM 3.2
DL325 Gen10 Plus AMD EPYC™ 7xx2 Series Processor Family:
Oracle Linux 7.9 - UEK Release 6 Update 1 (5.4.17-2036.100.6)
Not Supported
DL360p Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.7
Oracle VM 3.4.1
Oracle VM 3.3.1
Oracle VM 3.2
Oracle VM 3.1
DL360e Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.8
Oracle VM 3.4.1
Oracle VM 3.3
Oracle VM 3.2
Oracle VM 3.1.1
DL360 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
DL360 Gen10 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux/UEK 7.4
Oracle Linux/UEK 6.9 3
2nd Generation Intel® Xeon® Scalable Processors
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.4

2nd Generation Intel® Xeon® Scalable Processors

Oracle VM 3.4.6 (UEK Release 4 Update 7 (4.1.12-124.26.12) )
DL360 Gen10 Plus 3rd Generation Intel® Xeon® Scalable Processors:
Oracle Linux 7.9 - UEK release 6 update 2 (5.4.17-2102.201.3)
Oracle Linux 8.2 - UEK release 6 update (5.4.17-2036.100.6.1)
Not Supported
DL360 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL365 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL380p Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.7
Oracle VM 3.4.1
Oracle VM 3.3.1
Oracle VM 3.2
Oracle VM 3.1
DL380e Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.8
Oracle VM 3.4.1
Oracle VM 3.3
Oracle VM 3.2
Oracle VM 3.1
DL380 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
DL380 Gen10 1st Generation Intel® Xeon® Scalable Processors:
Oracle Linux/UEK 7.4
Oracle Linux/UEK 6.9 3
2nd Generation Intel® Xeon® Scalable Processors:
Oracle Linux 6.10 - UEK Release 4 Update 7 (4.1.12-124.26.12)
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.4
DL380 Gen10 Plus 3rd Generation Intel® Xeon® Scalable Processors:
Oracle Linux 7.9 - UEK release 6 update 2 (5.4.17-2102.201.3)
Oracle Linux 8.2 - UEK release 6 update (5.4.17-2036.100.6.1)
Not Supported
DL380 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL385p Gen8 Oracle Linux/UEK 6.3
Oracle Linux/UEK 5.9
Oracle VM 3.3
Oracle VM 3.2
DL385 Gen10 Plus AMD EPYC™ 7xx2 Series Processor Family:
Oracle Linux 7.9 - UEK Release 6 Update 1 (5.4.17-2036.100.6)
Not Supported
DL385 Gen10 Plus v2 AMD EPYC™ 7xx3 Series Processor Family:
Oracle Linux 7.9 UEK6U3 (5.4.17-2136)
Oracle Linux 8.5 UEK6 U3 (5.4.17-2136)
Not Supported
DL385 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL560 Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.2
Oracle Linux/UEK 5.8
Oracle VM 3.4.1
Oracle VM 3.3
Oracle VM 3.2
Oracle VM 3.1
DL560 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.7
Intel® Xeon® Processor E5-4600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
DL560 Gen10 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux UEK 7.4 - UEK Release 4 Update 4 (4.1.12)
Oracle Linux UEK 7.5 - UEK Release 5 (4.14.35)
Oracle Linux 6.9 - UEK Release 4 Update 4 (4.1.12) 3

2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 6.10 - UEK Release 4 Update 7 (4.1.12-124.26.12)
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
Oracle VM 3.4.4
DL560 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
DL580 Gen8 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.5
Oracle VM 3.4.1
Oracle VM 3.3.1
DL580 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E7-4800/8800v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.3
DL580 Gen10 1st Generation Intel® Xeon® Scalable Processors:
Oracle Linux UEK 7.4 - UEK Release 4 Update 4 (4.1.12)
Oracle Linux UEK 7.5 - UEK Release 5 (4.14.35)
Oracle Linux 6.9 - UEK Release 4 Update 4 (4.1.12) 3

2nd Generation Intel® Xeon® Scalable Processors:

Oracle Linux 6.10 - UEK Release 4 Update 7 (4.1.12-124.26.12)
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
Oracle Linux 8.6 (RHCK only)
Oracle VM 3.4.4
ML Series
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
ML110 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
ML310e Gen8 v2 2 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.4
Oracle Linux/UEK 5.10
Oracle VM 3.3
ML350 Gen9 Oracle Linux/UEK 7.0
Oracle Linux/UEK 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.1
ML350 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
RL Series
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
RL300 Minimum supported OS version: Oracle Linux 8.7 (UEK7 U1 5.15.0-101.103.2.1);
Note: When installing Oracle Linux 8 environment to boot from an iSCSI LUN, installation must be performed using the Oracle Linux 8.8 (or later) installation media.
Note: Installing in UEFI secure boot mode requires the Oracle Linux 8.8 (or later) installation media.
Synergy
Product Technical Exceptions
Note: No CNA adapter support for iSCSI or FCOE, Ethernet only
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
480 Gen9 Oracle Linux/UEK 7.2
Oracle Linux/UEK 6.7
Oracle VM 3.4.1
480 Gen10 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux/UEK 7.4
Oracle Linux/UEK 6.9 3
2nd Generation Intel® Xeon® Scalable Processors
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.4

2nd Generation Intel® Xeon® Scalable Processors

Oracle VM 3.4.6 (UEK Release 4 Update 7 (4.1.12-124.26.12) )
620 Gen9 Oracle Linux/UEK 7.2
Oracle Linux/UEK 6.7
Oracle VM 3.4.1
680 Gen9 Oracle Linux/UEK 7.2
Oracle Linux/UEK 6.7
Oracle VM 3.4.1
SY480 Gen11 Oracle Linux 9.0 (UEK7 U1) Not Supported
660 Gen10 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux UEK 7.4 - UEK Release 4 Update 4 (4.1.12)
Oracle Linux UEK 7.5 - UEK Release 5 (4.14.35)
Oracle Linux 6.9 - UEK Release 4 Update 4 (4.1.12) 3

2nd Generation Intel® Xeon® Scalable Processors

Oracle Linux 6.10 - UEK Release 4 Update 7 (4.1.12-124.26.12)
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.4

2nd Generation Intel® Xeon® Scalable Processors

Oracle VM 3.4.6 (UEK Release 4 Update 7 (4.1.12-124.26.12) )
XL Series (Apollo Family)
Product Technical Exceptions
Minimum Supported Oracle Linux versions Minimum Supported Oracle VM versions
XL420 Gen9 (Apollo 4200) Oracle Linux 7.0
Oracle Linux 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.3
XL420 Gen10 (Apollo 4200) 1st Generation Intel® Xeon® Scalable Processors
Oracle Linux 7.6 - UEK Release 5 (4.14.35-1818.3.3 )
2nd Generation Intel® Xeon® Scalable Processors
Oracle Linux 7.6 - UEK Release 5 Update 2 (4.14.35-1902.0.18)
1st Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.6 (4.1.12-124.21.1)
2nd Generation Intel® Xeon® Scalable Processors
Oracle VM 3.4.6 (4.1.12-124.27.1)
XL420 Gen10 Plus (Apollo 4200) 3rd Generation Intel® Xeon® Scalable Processors
Oracle Linux 7.9 - UEK release 6 update 2 (5.4.17-2102)
2nd Generation Intel® Xeon® Scalable Processors
Oracle Linux 8.2 - UEK release 6 update 2 (5.4.17-2102)
Not Supported
XL450 Gen9 (Apollo 4500) Oracle Linux 7.0
Oracle Linux 6.6
Intel® Xeon® Processor E5-2600v4 Series
Oracle Linux 7.2
Oracle Linux 6.7
Oracle VM 3.4.1
Oracle VM 3.3.3
No results found for the current selections

PLEASE NOTE: Minimum support includes all future updates of the indicated release unless a maximum is listed. (Example: Oracle 6 implies support for Oracle 6.x, unless it's specifically called out in the notes as "not supported with 6.x")

  • 1 No 32-bit support
  • 2 Oracle Linux supported only in SATA mode on these servers.
  • 3 Oracle Linux 6.9 Gen10 server support requires requires UEK R4U4 and the "Driver Update Disk for Oracle Linux 6 for x86_64bit". The driver update disk is available at https://edelivery.oracle.com/ configured with the Oracle Linux 6.9 media pack. Search "RELEASES" and use the search string "Oracle Linux 6 Update 9" to narrow down the search results.